Bug 907312 - lightdm does not honor UID_MIN from /etc/login.defs
Summary: lightdm does not honor UID_MIN from /etc/login.defs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-04 05:14 UTC by Ralf Corsepius
Modified: 2013-04-24 01:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:21:07 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2013-02-04 05:14:12 UTC
Description of problem:

There is a mismatch between the minimum-uid in /etc/lightdm/users.conf
and MIN_UID from /etc/login.defs


/etc/lightdm/users.conf contains minimum-uid=500
while
/etc/login.defs contains UID_MIN 1000

Over all this mismatch seems to cause lightdm to display system users with uids in the range of 500 - 1000 to be displayed in its login-screen.

Version-Release number of selected component (if applicable):
lightdm-1.4.0-5.fc18.x86_64

  
Actual results:
System accounts with uids between 500 and 1000 are being displayed in lightdm's login-screen.

Expected results:
* Lightdm not to display system users
* Lightdm to honor /etc/login.defs

Comment 1 Fedora Update System 2013-04-15 03:12:26 UTC
lightdm-1.6.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lightdm-1.6.0-2.fc19

Comment 2 Fedora Update System 2013-04-15 03:13:00 UTC
lightdm-1.4.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lightdm-1.4.1-3.fc18

Comment 3 Fedora Update System 2013-04-15 16:21:45 UTC
Package lightdm-1.6.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lightdm-1.6.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5720/lightdm-1.6.0-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-20 19:21:09 UTC
lightdm-1.6.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-04-24 01:31:09 UTC
lightdm-1.4.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.